Class RestTaskModel

java.lang.Object
org.alfresco.utility.model.TestModel
org.alfresco.utility.model.TaskModel
org.alfresco.rest.model.RestTaskModel
All Implemented Interfaces:
IModelAssertion<RestTaskModel>, IRestModel<RestTaskModel>, org.alfresco.utility.model.Model

public class RestTaskModel extends org.alfresco.utility.model.TaskModel implements IRestModel<RestTaskModel>
Handles single Task JSON response Example: "entry": { "id": "string", "processId": "string", "processDefinitionId": "string", "activityDefinitionId": "string", "name": "string", "description": "string", "dueAt": "2016-10-11T09:53:02.549Z", "startedAt": "2016-10-11T09:53:02.549Z", "endedAt": "2016-10-11T09:53:02.549Z", "durationInMs": 0, "priority": 0, "owner": "string", "assignee": "string", "formResourceKey": "string", "state": "unclaimed", "variables": [ { "scope": "string", "name": "string", "value": 0, "type": "string" } ] }
Author:
Cristina Axinte
  • Constructor Details

    • RestTaskModel

      public RestTaskModel()
  • Method Details